%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name katello-redhat-access-engine
%global rubyabi 1.9.1
%global katello_dir /usr/share/katello
%global katello_bundlerd_dir %katello_dir/bundler.d
%global katello_assets_dir %katello_dir/public/assets

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Katello engine to access Red Hat knowledge base
Group: Development/Languages
License: GPLv2+
URL: https://github.com/Katello/katello-redhat-access-engine
Source0: %{gem_name}-%{version}.gem

Requires: katello-headpin => 1.4.3

Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}rubygem(rails)

BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygem(rake)
BuildRequires: %{?scl_prefix}rubygem(rails)
BuildRequires: %{?scl_prefix}rubygem(haml-rails)
BuildRequires:  %{?scl_prefix}rubygem(therubyracer)

BuildArch: noarch

Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Katello engine to access Red Hat knowledge base search

%prep
%{?scl:scl enable %{scl} "gem unpack %{SOURCE0}"}

%setup -q -D -T -n  %{gem_name}-%{version}

%build
mkdir -p .%{gem_dir}

# precompile JavaScript assets...
%{?scl:scl enable %{scl} "rake assets:precompile:engine --trace"}

# Create our gem
%{?scl:scl enable %{scl} "gem build %{gem_name}.gemspec"}

# install our gem locally, to be move into buildroot in %%install
%{?scl:scl enable %{scl} "gem install --local --no-wrappers --install-dir .%{gem_dir} --force --no-rdoc --no-ri %{gem_name}-%{version}.gem"}

%install
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{katello_bundlerd_dir}
mkdir -p %{buildroot}%{katello_assets_dir}

cp -pa .%{gem_dir}/* %{buildroot}%{gem_dir}/

ln -s %{gem_dir}/gems/%{gem_name}-%{version}/public/assets/red_hat_access %{buildroot}%{katello_assets_dir}/red_hat_access

cat <<GEMFILE > %{buildroot}%{katello_bundlerd_dir}/%{gem_name}.rb
gem 'katello-redhat-access-engine', require: 'red_hat_access'
GEMFILE


%files
%defattr(-,root,root,-)
%{gem_dir}
%{katello_bundlerd_dir}/%{gem_name}.rb
%{katello_assets_dir}/red_hat_access

%changelog
* Fri Oct 25 2013 Rex White <rexwhite@redhat.com> - 0.0.1-1
- Resolves: bz1004472

* Fri Oct 25 2013 Rex White <rexwhite@redhat.com>
- Fixed JS asset symlink location
- Renamed gem and spec file to remove underscores

* Thu Oct 24 2013 Rex White <rexwhite@redhat.com>
- Added symbolic links for precompiled JS assets

* Tue Oct 15 2013 Rex White <rexwhite@redhat.com>
- Initial package

